# PetscSetCommWorld

Sets a communicator to be PETSc world communicator (default is MPI_COMM_WORLD). Must call BEFORE PetscInitialize().

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscSetCommWorld(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -the communicator

### Note

This routine is intended for users who need to initialize PETSc on a subset of processors within a larger job. Thus, most users need not call this routine.

Level:advanced
Location:src/sys/src/objects/pcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages